<?php
/* Autor...:  */
/* Esquema.: SEG_UsuarioSesion.xml */
/* Generado: 2020-08-18 04:21:30 */

/* Metodos de acceso a los campos de la tabla SEG_UsuarioSesion */
abstract class BaseSEG_UsuarioSesionBN
{
    /* Campos de la tabla */
    private $i_Id;    // Id: ( no definido )
    private $s_IP;    // IP: ( no definido )
    private $s_IdRol;    // IdRol: ( no definido )
    private $s_IdUsuario;    // IdUsuario: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )

    /* Establece el valor del campo Id */
    public function setId( $i_Id )
    {
        $this->i_Id = $i_Id;
    }

    /* Obtiene el valor del campo Id */
    public function getId()
    {
        return $this->i_Id;
    }

    /* Establece el valor del campo IP */
    public function setIP( $s_IP )
    {
        $this->s_IP = $s_IP;
    }

    /* Obtiene el valor del campo IP */
    public function getIP()
    {
        return $this->s_IP;
    }

    /* Establece el valor del campo IdRol */
    public function setIdRol( $s_IdRol )
    {
        $this->s_IdRol = $s_IdRol;
    }

    /* Obtiene el valor del campo IdRol */
    public function getIdRol()
    {
        return $this->s_IdRol;
    }

    /* Establece el valor del campo IdUsuario */
    public function setIdUsuario( $s_IdUsuario )
    {
        $this->s_IdUsuario = $s_IdUsuario;
    }

    /* Obtiene el valor del campo IdUsuario */
    public function getIdUsuario()
    {
        return $this->s_IdUsuario;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'Id' => $this->getId(),
            'IP' => $this->getIP(),
            'IdRol' => $this->getIdRol(),
            'IdUsuario' => $this->getIdUsuario(),
            'FechaCreacion' => $this->getFechaCreacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto SEG_UsuarioSesionBN desde un RecordSet */
    public static function retrieveByRs( $o_SEG_UsuarioSesionRs )
    {
        $o_SEG_UsuarioSesionBN = new SEG_UsuarioSesionBN();
        $o_SEG_UsuarioSesionBN->setId( ( integer ) $o_SEG_UsuarioSesionRs[ "Id" ] );
        $o_SEG_UsuarioSesionBN->setIP( $o_SEG_UsuarioSesionRs[ "IP" ] );
        $o_SEG_UsuarioSesionBN->setIdRol( $o_SEG_UsuarioSesionRs[ "IdRol" ] );
        $o_SEG_UsuarioSesionBN->setIdUsuario( $o_SEG_UsuarioSesionRs[ "IdUsuario" ] );
        $o_SEG_UsuarioSesionBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_SEG_UsuarioSesionRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        return $o_SEG_UsuarioSesionBN;
    }
}
?>